post
/{tenantId}/v1/notifications/alerts/{alertId}/smsAdd SMS recipient to alert
Requires Authentication
Notifications
Adds a new SMS recipient to a notification alert
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
alertIdrequired | string (uuid) | Billing alert UUID |
Request Body
required
userIdstring (uuid)
- User ID associated with this SMS recipientphoneNumberstring
required
- Phone number to receive SMS alerts (E.164 format recommended)Responses
SMS recipient added
Response Bodyapplication/json
idstring (uuid)
Code Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/notifications/alerts/{alertId}/sms' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"userId": "00000000-0000-0000-0000-000000000000",
"phoneNumber": "string"
}'